# Define the kmod package name here.
%define kmod_name dm-nfs

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 3.8.13-26.el6uek}

%define	kernel_source	/usr/src/kernels/%{kversion}.%{_target_cpu}

Name:    %{kmod_name}-kmod
Version: 1.0.0
Release: 5%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
Requires:       kernel-uek
BuildRequires: redhat-rpm-config
BuildRequires: kernel-uek-devel = %{kversion} 
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
ExclusiveArch: i686 x86_64

# Sources.
Source0:  %{kmod_name}-kmod-%{version}.tgz
Patch0: %{kmod_name}_2.patch
# End Oracle Patches

%description
This package provides the dm-nfs kernel module.  This module allows the
user to build a device-mapper device directly on an nfs-based filesystem.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%prep
%setup -q
%patch0 -p7

%build
%{__make} -C "%{kernel_source}" modules M=$PWD

%install
%{__rm} -rf %{buildroot}
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=extra/%{kmod_name}
%{__make} -C "%{kernel_source}" modules_install M=$PWD
%{__rm} -f %{buildroot}/lib/modules/%{kversion}.%{_target_cpu}/modules.*
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
/lib/modules

%changelog
* Fri Feb 21 2014 Tianyue Lan <tianyue.lan@oracle.com> - 1.0.0-5
- Add kernel-uek require. [bug 18278805]
 
* Fri Nov 08 2013 Tianyue Lan <tianyue.lan@oracle.com> - 1.0.0-4
- Build against 3.8.13-16.2.1

* Fri Nov 08 2013 Tianyue Lan <tianyue.lan@oracle.com> - 1.0.0-3
- Bump version and rebuild, as buildid645 did not pickup dm-nfs-kmod

* Thu Nov 07 2013 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.0.0-2  
- Update kmodtool to fix build failure 

* Thu Nov 07 2013 Dan Duval <dan.duval@oracle.com> - 1.0.0-1
- initial build

